var theFirst = true;
//-------------------------------------------------------------------------------
function BodySemSRFWWW_AreaMenu_Cabecalho(Texto){
	TextoMAIUSCULAS = Texto.toUpperCase() ; 
	PrimeiraString = "<SPAN id=SRFWWW_AreaMenu_Cabecalho>" ; //Sem Aspas
	PrimeiraString = PrimeiraString.toUpperCase();
	PosFimPrimParte = TextoMAIUSCULAS.indexOf(PrimeiraString) - 1 ;
    //alert("1) "+ PrimeiraString+" - PosFimPrimParte: "+PosFimPrimParte);
	
	//Se não encontrou sem aspas, tenta com aspas e, se necessário, com apóstrofos:
	if ( PosFimPrimParte < -1){
		PrimeiraString = '<SPAN id="SRFWWW_AreaMenu_Cabecalho">' ; //Com Aspas
		PrimeiraString = PrimeiraString.toUpperCase();
		PosFimPrimParte = TextoMAIUSCULAS.indexOf(PrimeiraString) - 1 ;
		if ( PosFimPrimParte < -1){
			PrimeiraString = "<SPAN id='SRFWWW_AreaMenu_Cabecalho'>" ; //Com Apóstrofos
			PrimeiraString = PrimeiraString.toUpperCase();
			PosFimPrimParte = TextoMAIUSCULAS.indexOf(PrimeiraString) - 1 ;
		}
	} 	
	
	if (PosFimPrimParte >= -1) {
		//Armazena a primeira parte do texto:

	//SegundaString = "<!-- Grupo 2 - Fim --></SPAN>" ;
	SegundaString = "<!-- Final do Cabecalho --></div></span>" ;
	SegundaString = SegundaString.toUpperCase();
		
		PosIniUltParte = TextoMAIUSCULAS.indexOf(SegundaString) + SegundaString.length + 1 ; 
									   
		parteInicialTexto = Texto.substring( 0, PosFimPrimParte) ;
		parteFinalTexto = Texto.substring(PosIniUltParte,Texto.length) ; 
		return parteInicialTexto+" "+parteFinalTexto
	}
	else
		return Texto ; 
}

function BreakItUp()
{
  //Set the limit for field size.
  var FormLimit = 100000 //102399;
  //Get the value of the large input object.
  var TempVar = new String;
  var TextoBody = new String(window.document.body.innerHTML);
  document.formImprFormatViaCamposHidden.bodyToPrint.value = escape(TextoBody);
  TempVar = document.formImprFormatViaCamposHidden.bodyToPrint.value;
  //If the length of the object is greater than the limit, break it
  //into multiple objects.
  if (TempVar.length > FormLimit)
  {
    document.formImprFormatViaCamposHidden.bodyToPrint.value = TempVar.substr(0, FormLimit);
    TempVar = TempVar.substr(FormLimit);
    while (TempVar.length > 0)
    {
		document.formImprFormatViaCamposHidden.innerHTML+="<INPUT TYPE='hidden' NAME='bodyToPrintExt' VALUE='"+ TempVar.substr(0, FormLimit) + "'>";
    	TempVar = TempVar.substr(FormLimit);
    }
  }
}
var BodyOriginal;
//-------------------------------------------------------------------------------
//29/09/2005 - Monta o body com os campos hidden ao final
function MontaBodyFormComCamposHidden(){//29/09/2005
	BodyOriginal = new String(window.document.body.innerHTML);
	var BodyMontado;
	
	//Retira o menu que é montado no Cabeçalho.js: 
	//--------------------------------------------
	BodyMontado = BodySemSRFWWW_AreaMenu_Cabecalho(BodyOriginal) ; 
	
	if (BodyMontado.length == 0 ) 
		BodyMontado = "Ocorreu um problema na execução desta página. Utilize a opção de impressão do navegador." ;
	FormHidden = "<form name='formImprFormatViaCamposHidden' action='/prepararImpressao/ImprimePagina.asp' method='post' target='_blank' ID='formImprFormatViaCamposHidden'>" ;
	FormHidden += "<input type='hidden' name='bodyToPrint' value='Valor bodyToPrint a substituir' >" ;
	FormHidden += "<input type='hidden' name='pageTitle' value='Valor pageTitle a substituir' >";
	FormHidden += "<input type='hidden' name='pageAddres' value='" + document.location.pathname + "' >";
	FormHidden += "</form>" ;
	window.document.body.innerHTML = BodyMontado + FormHidden; 
}
//-------------------------------------------------------------------------------
function OpenWindowToPrint_old()
{ 
	var Title = new String(document.title);
	
	if (theFirst == true){
		MontaBodyFormComCamposHidden(); //29/09/2005 - Monta o body com os campos hidden ao final
		BreakItUp();
		theFirst = false;
	}
	
	if (Title.length  == 0) 
		Title = "Receita Federal do Brasil" ; //29/09/2005
	document.formImprFormatViaCamposHidden.pageTitle.value = escape(Title); 
	document.formImprFormatViaCamposHidden.submit();
	window.document.body.innerHTML = BodyOriginal; 
}
//-------------------------------------------------------------------------------
function OpenWindowToPrint()
{ 
	var Title = new String(document.title)
	if (theFirst == true){
		MontaBodyFormComCamposHidden(); //29/09/2005 - Monta o body com os campos hidden ao final
		BreakItUp();
		theFirst = false;
	}
	if (Title.length  == 0) 
		Title = "Receita Federal do Brasil" ; //29/09/2005
	document.formImprFormatViaCamposHidden.pageTitle.value = escape(Title); 
	document.formImprFormatViaCamposHidden.submit();
	window.document.body.innerHTML = BodyOriginal; 
}
//-------------------------------------------------------------------------------
document.write("<a class='Classe_Ocultar_Impressao' title='Preparar Página para Impressão' href='javascript:OpenWindowToPrint();'>");
document.write("<img  src='images/printer.gif' border='0' hspace='3'>");
document.write("</a>");
